importScripts('https://storage.googleapis.com/workbox-cdn/releases/3.6.1/workbox-sw.js');


workbox.core.setCacheNameDetails({
  prefix: 'converse.nexedi',
});

// Note: this is populated at build time.
workbox.precaching.precacheAndRoute([],
  // we ignore wvi0ht for urls like :
  //  /fonticons/fonts/icomoon.ttf?wvi0ht
  { ignoreUrlParametersMatching: [/^wvi0ht/] }
)


workbox.strategies.cacheFirst()
workbox.strategies.networkFirst()
workbox.strategies.staleWhileRevalidate()


workbox.skipWaiting();
